Package: org.codehaus.groovy.tools.shell.completion

## [Groovy] Class GroovySyntaxCompletor

- org.codehaus.groovy.tools.shell.completion.GroovySyntaxCompletor

- All Implemented Interfaces and Traits:
    Completer

      class GroovySyntaxCompletor

  Implements the Completor interface to provide competions for GroovyShell by tokenizing the buffer and invoking other classes depending on the tokens found.

  Authors:
    Marty Saxton

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static enum` | `GroovySyntaxCompletor.CompletionCase` |
    `static class` | `GroovySyntaxCompletor.InStringException` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static Logger` | `LOG` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovySyntaxCompletor (Groovysh shell, ReflectionCompletor reflectionCompletor, IdentifierCompletor classnameCompletor, List<IdentifierCompletor> identifierCompletors, Completer filenameCompletor)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `complete(String bufferLine, int cursor, List<CharSequence> candidates)`
    `` | `int` | `completeIdentifier(List<GroovySourceToken> tokens, List<CharSequence> candidates)`
    `` | `static org.codehaus.groovy.antlr.parser.GroovyLexer` | `createGroovyLexer(String src)`
    `` | `static GroovySyntaxCompletor.CompletionCase` | `getCompletionCase(List<GroovySourceToken> tokens)`
    `` | `static boolean` | `isCommand(String bufferLine, CommandRegistry registry)`
    `` | `static boolean` | `tokenizeBuffer(String bufferLine, List<String> previousLines, List<GroovySourceToken> result)` Adds to result the identified tokens for the bufferLines

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected static final Logger LOG

  - ### Constructor Detail

    - #### GroovySyntaxCompletor(Groovysh shell, ReflectionCompletor reflectionCompletor, IdentifierCompletor classnameCompletor, List<IdentifierCompletor> identifierCompletors, Completer filenameCompletor)

  - ### Method Detail

    - #### @Override int complete(String bufferLine, int cursor, List<CharSequence> candidates)

    - #### int completeIdentifier(List<GroovySourceToken> tokens, List<CharSequence> candidates)

    - #### static org.codehaus.groovy.antlr.parser.GroovyLexer createGroovyLexer(String src)

    - #### static GroovySyntaxCompletor.CompletionCase getCompletionCase(List<GroovySourceToken> tokens)

    - #### static boolean isCommand(String bufferLine, CommandRegistry registry)

    - #### static boolean tokenizeBuffer(String bufferLine, List<String> previousLines, List<GroovySourceToken> result)

      Adds to result the identified tokens for the bufferLines

      Parameters:
        bufferLine
        previousLines
        result
      Returns:
        true if lexing was successfull